<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Tasl 35.20 - User Detail</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<style>

    .div-container {
        background-color: rgb(105, 233, 233);
        padding-top: 120px;
        padding-right: 0px;
        margin-left: 450px;
        margin-right: 450px;
        margin-top: 100px;
        margin-bottom: 50px;
        border-radius: 35px;
    }

    .div-title {
        margin-top: -70px;
        font-family:Arial, Helvetica, sans-serif
    }

    .div-form-group {
        margin-top: -50px;
        margin-left: -70px;
        margin-right: -70px;
        padding: 50px;
    }

    .div-input-box {
        border-radius: 8px;
        height: 40px;
        opacity: 0.9;
        margin-bottom: 22px;
        background-color: white;
    }

    .div-button {
        height: 40px;
    }
</style>

<body>

  <div class="container div-container ">
    <div class="col-sm-11 text-center mx-auto my-0 ">
      <div class="mb-5 div-title">
        <h3 class="text-center "><b>DETAIL OF USER</b></h3>
      </div>
      <div class="div-form-group">
        <div class="row ">
            <label class="col-sm-2 text-left">Name:</label>
            <input id="name-inp" class="col-sm-10 form-control div-input-box">
          </div>
          <div class="row text-left ">
            <label class="col-sm-2">Username:</label>
            <input id="username-inp" class="col-sm-10 form-control div-input-box">
          </div>
          <div class="row text-left ">
            <label class="col-sm-2">Email:</label>
            <input id="email-inp" class="col-sm-10 form-control div-input-box">
          </div>
          <div class="row ">
            <label class="col-sm-2 text-left">Address:</label>
            <div class="col-sm-10">
              <div class="row  text-left">
                <label class="col-sm-2">Suite:</label>  
                <input id="suite-inp" class="col-sm-10 form-control div-input-box">
              </div>
              <div class="row  text-left">
                <label class="col-sm-2">Street:</label>  
                <input id="street-inp" class="col-sm-10 form-control div-input-box">
              </div>
              <div class="row text-left">
                <label class="col-sm-2">City:</label>  
                <input id="city-inp" class="col-sm-10 form-control div-input-box">
              </div>
              <div class="row text-left">
                <label class="col-sm-2">Zipcode:</label>  
                <input id="zipcode-inp" class="col-sm-10 form-control div-input-box">
              </div>
              <div class="row ">
                <label class="col-sm-2 text-left">Geo:</label>  
                <div class="col-sm-10">
                  <div class="row">
                    <label class="col-sm-2 text-left" >Iat:</label>
                    <input id="iat-inp" class="col-sm-10 form-control div-input-box">
                  </div>
                  <div class="row">
                    <label class="col-sm-2 text-left">Ing:</label>
                    <input id="ing-inp" class="col-sm-10 form-control div-input-box">
                  </div>
                </div>
            </div>
          </div>
        </div>

        <div class="row ">
          <label class="col-sm-2 text-left">Phone:</label>
          <input id="phone-inp" class="col-sm-10 form-control div-input-box">
        </div>
        <div class="row ">
          <label class="col-sm-2 text-left">Website:</label>
          <input id="website-inp" class="col-sm-10 form-control div-input-box">
        </div>  
        <div class="row ">
          <label class="col-sm-2 text-left" >Company:</label>
          <div class="col-sm-10">
            <div class="row">
              <label class="col-sm-2 text-left">Name:</label>
              <input id="company-name-inp" class="col-sm-10 form-control div-input-box">
            </div>
            <div class="row">
              <label class="col-sm-2 text-left">Catch Phrase:</label>
              <input id="catch-phrase-inp" class="col-sm-10 form-control div-input-box">
            </div>
            <div  class="row">
              <label class="col-sm-2 text-left">bs:</label>
              <input id="company-bs-inp" class="col-sm-10 form-control div-input-box">
            </div>
          </div>
        </div>
        <div class="text-right">
          <a id="return-btn" class="btn btn-warning div-button col-sm-2 row" type="button" href="file:///C:/Users/hphat/Desktop/J2232/2023-02-26/mid.exam.2023-02-26/Task%20520%20-%20Comment%20List.html"><b>Return</b></a>
        </div>
    </div>
  </div>
  
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
 
    const gBASE_URL = "https://jsonplaceholder.typicode.com/users/";
 
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    
    //load detail data of user on the web
    $(document).ready(loadDataOnForm);

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
 
    //load data to the form
    function loadDataOnForm(){
      debugger;
                
      //read data from the query string
      var vID = getParameterQueryStr();

      //validate the data
      var vValidate = validateData(vID);
      
      if (vValidate) {
        //call API for getting the data from server
        $.ajax ({
          url: gBASE_URL + "/" + vID,
          type: "GET",
          success: function(res){
            console.log("%cUSER'S DETAIL: ", "color:orange", Object.entries(res));
            $("#name-inp").val(res.name);  
            $("#username-inp").val(res.username); 
            $("#email-inp").val(res.email); 
            $("#suite-inp").val(res.address.suite); 
            $("#street-inp").val(res.address.street);
            $("#city-inp").val(res.address.city);
            $("#zipcode-inp").val(res.address.zipcode);
            $("#iat-inp").val(res.address.geo.lat);
            $("#ing-inp").val(res.address.geo.lng);
            $("#phone-inp").val(res.phone);
            $("#website-inp").val(res.website);
            $("#company-name-inp").val(res.company.name);
            $("#company-email-inp").val(res.company.email);
            $("#catch-phrase-inp").val(res.company.catchPhrase);
            $("#company-bs-inp").val(res.company.bs);
          },
          error: function(ajaxContext){
            console.log(ajaxContext);
          },
        });
      };
    };

    //get parammeter from query string
    function getParameterQueryStr(){

      var vParamURL = window.location.href;
      var vUrl = new URL(vParamURL);
      var vUserId = vUrl.searchParams.get("id");

      return vUserId;
    }

    //function for validating the data
    function validateData(paramData){
      if (paramData ==""){
        alert("The query string is not located - please check !!!");
        return false;
      }
      if (isNaN(paramData)== true){
        alert("The ID of query string should be integer !!!");
        return false;
      }
      return true;
    };  


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
</script>

</html>
